﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mono.Data.Sqlite;
using System.IO;

namespace AncouApp.ChoBase.Core
{
    internal class ConnectionUtil
    {
        /// <summary>
        /// what database file is exist
        /// </summary>
        public static bool ExistDbFile
        {
            get
            {
                string filePath = GetDbPath();
                return File.Exists(filePath);
            }
        }

        /// <summary>
        /// Get DB Path
        /// </summary>
        /// <returns></returns>
        private static string GetDbPath()
        {
            string dir = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            string dbPath = Path.Combine(dir, "ChoBase.db");
            return dbPath;;
        }

        /// <summary>
        /// Get New Connection
        /// </summary>
        /// <returns></returns>
        public static SqliteConnection GetNewConnection()
        {
            string dbPath = GetDbPath();
            string arg = "Data Source=" + dbPath;

            var connection = new SqliteConnection(arg);
            connection.Open();

            return connection;
        }
    }
}
